> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketenv.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exposed Ports



## OpenAPI

````yaml GET /io.pocketenv.sandbox.getExposedPorts
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol PDS XRPC server
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: io.pocketenv.actor
  - name: app.bsky.actor
  - name: io.pocketenv.file
  - name: io.pocketenv.port
  - name: io.pocketenv.publicKey
  - name: io.pocketenv.sandbox
  - name: io.pocketenv.secret
  - name: io.pocketenv.service
  - name: com.atproto.repo
  - name: io.pocketenv.variable
  - name: io.pocketenv.volume
paths:
  /io.pocketenv.sandbox.getExposedPorts:
    get:
      tags:
        - io.pocketenv.sandbox
      summary: Get the list of exposed ports for a sandbox.
      operationId: io.pocketenv.sandbox.getExposedPorts
      parameters:
        - name: id
          in: query
          description: The sandbox ID.
          required: true
          schema:
            type: string
            description: The sandbox ID.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  ports:
                    type: array
                    items:
                      $ref: '#/components/schemas/io.pocketenv.port.defs.portView'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    io.pocketenv.port.defs.portView:
      type: object
      description: A view of a port exposed by a sandbox.
      properties:
        port:
          type: integer
          minimum: 1025
          maximum: 65535
        description:
          type: string
          description: A description of the port.
        previewUrl:
          type: string
          description: A URL for previewing the service running on the port
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````